/*
* Usage:
* 1. Same values for all properties:
*   .f-button {
*       @include transition(
*           (background-color, border-color, color, box-shadow, transform),
*           $transition-duration: $transition-duration-long
*       );
*   }
*
* 2. Different values for specific properties:
*   .f-button {
*       @include transition((
*           background-color: $transition-duration-short null null,
*           border-color: null,
*           box-shadow: 0.315s ease-in null,
*           transform: null ease null
*       ));
*   }
* (!) All values for each property is required.
* (!) 'null' is used for setting default value.
*/
@-webkit-keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
/* Mixin to cut off the rest of one-line text with dots */
/* Firefox+ CSS styles go here */
.f-checkbox__label .f-field,
.f-radio__label .f-field {
  cursor: default;
}

/*
   1.0 Utility functions for RTLCSS
*/
/* Replace. Replaces the declaration value with {value}.
** Usage:
** letter-spacing: 1px rtl(normal);
*/
/* Append. Appends {value} to the end of the declaration value.
** Usage:
** transform: rotate(45deg) rtl-append(scaleX(-1));
*/
/* Prepend. Prepend {value} to the begining of the declaration value.
** Usage:
** transform: rotate(45deg) rtl-prepend(scaleX(-1));
*/
/* Prepend. Prepend {value} to the begining of the declaration value.
** Usage:
** transform: rotate(45deg) rtl-prepend(scaleX(-1));
*/
/* Ignore. Ignores processing of this declaration
** Usage:
** text-align: left rtl-ignore();
*/
.pull-left-xs {
  float: right;
}

.pull-right-xs {
  float: left;
}

@media (min-width: 544px) and (max-width: 768.98px) {
  .pull-left-sm {
    float: right;
  }
  .pull-right-sm {
    float: left;
  }
}
@media (min-width: 769px) and (max-width: 991.98px) {
  .pull-left-md {
    float: right;
  }
  .pull-right-md {
    float: left;
  }
}
@media (min-width: 992px) and (max-width: 1279.98px) {
  .pull-left-lg {
    float: right;
  }
  .pull-right-lg {
    float: left;
  }
}
@media (min-width: 1280px) {
  .pull-left-xl {
    float: right;
  }
  .pull-right-xl {
    float: left;
  }
}
@media (max-width: 543.98px) {
  .hidden-xs-down {
    display: none !important;
  }
}

@media (max-width: 768.98px) {
  .hidden-sm-down {
    display: none !important;
  }
}

@media (max-width: 991.98px) {
  .hidden-md-down {
    display: none !important;
  }
}

@media (max-width: 1279.98px) {
  .hidden-lg-down {
    display: none !important;
  }
}

.hidden-xl-down {
  display: none !important;
}

.row.equal-height > [class^=col] {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

.b-site-index .breadcrumb__item:last-child {
  pointer-events: none;
}

.b-site-index-page__section {
  margin-bottom: 56px;
}
@media (min-width: 992px) {
  .b-site-index-page__section {
    margin-bottom: 64px;
  }
}
.b-site-index-page__title {
  font-size: 18px;
  line-height: 22px;
  font-weight: 600;
  margin: 24px 0 8px;
  text-transform: capitalize;
}
@media (min-width: 992px) {
  .b-site-index-page__title {
    font-size: 24px;
    line-height: 30px;
    font-weight: 600;
    margin: 40px 0 8px;
  }
}
.b-site-index-page__category {
  margin-top: 40px;
  position: relative;
}
@media (min-width: 992px) {
  .b-site-index-page__category {
    margin-top: 32px;
  }
}
.b-site-index-page__header {
  border-bottom: 1px solid #e8e8e8;
  margin-bottom: 8px;
}
@media (min-width: 992px) {
  .b-site-index-page__header {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    margin-bottom: 32px;
    padding-top: 16px;
  }
}
.b-site-index-page__category-title {
  position: relative;
}
@media (min-width: 992px) {
  .b-site-index-page__category-title {
    margin-left: 32px;
    max-width: 216px;
    width: 100%;
  }
}
.b-site-index-page__category-name {
  font-size: 18px;
  line-height: 22px;
  font-weight: 600;
  display: inline-block;
  margin-bottom: 16px;
  padding: 16px 0 8px;
  text-transform: capitalize;
}
@media (min-width: 992px) {
  .b-site-index-page__category-name {
    font-size: 20px;
    line-height: 25px;
    font-weight: 600;
    margin: 0;
    padding: 0;
  }
}
@media (min-width: 992px) {
  .b-site-index-page__category-items {
    margin-bottom: -6px;
  }
}
.b-site-index-page__category-item {
  display: inline-block;
  font-size: 1rem;
  margin: 8px 0 8px 16px;
}
@media (min-width: 992px) {
  .b-site-index-page__category-item {
    margin: 0 0 16px 32px;
  }
}
.b-site-index-page__category-link {
  color: #111;
  display: block;
  font-size: 1rem;
  font-weight: 600;
  line-height: 20px;
  text-transform: capitalize;
}
@media (min-width: 992px) {
  .b-site-index-page__subitems {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 0 30px;
  }
}
.b-site-index-page__sublink {
  font-size: 14px;
  line-height: 20px;
  color: #111;
  display: block;
  padding: 10px 0;
}
@media (min-width: 992px) {
  .b-site-index-page__sublink {
    display: inline-block;
    margin-bottom: 0;
    padding: 10px 0;
  }
}

.b-breadcrumbs {
  display: block !important;
}
.b-breadcrumbs .breadcrumb {
  margin: 0;
}
